%bcond_without check

# see https://github.com/festvox/flite/issues/86
%global _smp_mflags -j1

Summary:        Small, fast speech synthesis engine (text-to-speech)
Name:           flite
Version:        2.2
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/festvox/flite/
Source0:        https://github.com/festvox/flite/archive/v%{version}/flite-%{version}.tar.gz
Patch3000:      flite-2.2-lto.patch
Patch3001:      flite-2.2-texinfo-7.0.patch


BuildRequires:  make gcc autoconf automake libtool
BuildRequires:  ed alsa-lib-devel pulseaudio-libs-devel texinfo


%description
Flite (festival-lite) is a small, fast run-time speech synthesis engine developed by CMU for 
use on small embedded machines and/or large servers. It is designed as an alternative synthesis 
engine to Festival for voices built using the FestVox suite of voice building tools.


%package devel
Summary: Development files for flite
Requires: %{name} = %{version}-%{release}

%description devel
This package provides development files for Flite.


%prep
%autosetup -p1 


%build
autoreconf -vif
%configure --enable-shared --with-audio=pulseaudio

%make_build
cd doc
make flite.html


%install
%make_install
rm %{buildroot}%{_libdir}/libflite*.a


%if %{with check}
%check
LD_LIBRARY_PATH=%{buildroot}%{_libdir} make -C testsuite do_thread_test
%endif


%files
%license COPYING
%doc ACKNOWLEDGEMENTS README.md doc/html
%{_libdir}/*.so.*
%{_bindir}/*


%files devel
%{_libdir}/*.so
%{_includedir}/flite


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 8 2023 Wang Guodong <gordonwwang@tencent.com> - 2.2-4
- fix HTML doc build with texinfo 7.0
- fix build with make-4.4+

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Wang Guodong <gordonwwang@tencent.com> - 2.2-1
- initial build
